//---------------------------------------------------------------------------------------------------------------------
/**
 * sample2用Javascript
 *
 * @package  LabbitBox1.0
 * @author   neobaba
 * @since    2010/9/23
*/ 
//---------------------------------------------------------------------------------------------------------------------

function GRID1_click(e){
    ele = e.srcElement || e.target;
    if (ele.type == 'button'){
        //Ajaxリクエスト準備：グリッドやイベント発生行のデータをAjaxパラメータにセットする
        prepareAjaxByRowData(e, 'ajaxTest');    //第2引数にはサーバーサイドのメソッド名をセット

        //Ajax処理時のイベントハンドラを追加
        //-- Debug用alert表示
        //setAjaxHandler('debugRequest', true);         //リクエスト時
        setAjaxHandler('debugResponse', true);        //レスポンス時
        
        //-- レスポンス受信時処理：
        //-- この例の場合はサーバーから受信したデータをイベント発生行の各セルに表示する
        //--（responseCellValue は htmlGrid.jsのメソッドでレスポンスでグリッド行の内容を更新する）
        setAjaxHandler('receiveResponse', 'responseCellValue'); 

        var wInfo    = eventInfo(e);
        setAjaxParam('STATION_NAME_READ', 'xx' + wInfo.rowData.get('STATION_NAME_READ') + 'aa');

        //Ajaxリクエスト実行
        labbitbox.ajaxRequest();
    }
}
